Bug 165660 - Review Request: perl-Text-Quoted
Review Request: perl-Text-Quoted
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/Text-Quoted
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2005-08-11 05:17 EDT by Ralf Corsepius
Modified: 2010-03-01 11:51 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-19 21:49:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-08-11 05:17:14 EDT
Spec Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Text-Quoted.spec
SRPM Name or Url: ftp://packman.iu-bremen.de/fedora/SRPMS/perl-Text-Quoted-1.8-1.src.rpm

Description:
Text::Quoted examines the structure of some text which may contain multiple
different levels of quoting, and turns the text into a nested data structure.
Comment 1 Paul Howarth 2005-08-19 08:10:01 EDT
Review:

- rpmlint not quite clean - see below
- package and spec file naming is OK
- package meets guidelines
- license is same as perl
- spec file written in English and is legible
- source matches upstream
- builds OK on FC4 and in mock for devel
- BR's OK
- no locales, libraries, subpackages, pkgconfigs etc. to worry about
- not relocatable
- no directory ownership issues
- Quoted.pm installed with wrong permissions - see below
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime

Issues:

- rpmlint output
E: perl-Text-Quoted script-without-shellbang
/usr/lib/perl5/vendor_perl/5.8.6/Text/Quoted.pm
This script does not begins with a shellbang. It will prevent its execution.

This is a permissions problem and can be fixed by adding after %setup:
chmod -x Quoted.pm

- BR: perl is redundant
- find of empty .bs files is redundant

These can be fixed post-import.

Approved.
Comment 2 Ralf Corsepius 2005-08-19 09:25:25 EDT
> E: perl-Text-Quoted script-without-shellbang
> /usr/lib/perl5/vendor_perl/5.8.6/Text/Quoted.pm
> This script does not begins with a shellbang. It will prevent its execution.
This is a perl module (*.pm) and not a script. Perl modules normally aren't
executed directly, so they don't have to carry a shebang, nor are they supposed
to be executable. 

IMO, this yet another case of a "false error" from rpmlint.
Comment 3 Paul Howarth 2005-08-19 09:27:32 EDT
Without the chmod referred to in the review, it *is* installed as executeable
and therefore it isn't a "false error".
Comment 4 Ralf Corsepius 2005-08-19 10:01:45 EDT
Urgs, you are right. Sorry for having missed this. To be fixed RSN.
Comment 5 Mark Chappell 2010-03-01 09:00:57 EST
corsepiu is listed as not interested in EPEL


Package Change Request
======================
Package Name: perl-Text-Quoted
New Branches: EL-4 EL-5
Owners: tremble
Comment 6 Jason Tibbitts 2010-03-01 11:51:14 EST
CVS done.

Note that when we add EPEL branches like this, we'll change the owner as requested but the other parameters such as comaintainers are copied.  If this isn't what's desired, please fix things up in pkgdb.

Note You need to log in before you can comment on or make changes to this bug.